public class Simulation {

    Dice dice;
    Bins bins;
    int numOfDice;
    int numOfTosses;

    public Simulation(int numOfDice, int numOfTosses) {
        dice = new Dice(numOfDice);
        bins = new Bins(numOfDice, numOfDice * 6);
        this.numOfDice = numOfDice;
        this.numOfTosses = numOfTosses;

        for(int i = 0; i< numOfTosses; i++){
            int key = dice.tossAndSum();
            bins.addingToKey(key);
        }
    }

    public String toString() {
        StringBuilder str = new StringBuilder();


        str.append("*** \n");
        str.append("Simulation of " + this.numOfDice + " dice tossed for " + this.numOfTosses + " times. \n");
        str.append("*** \n");

        for(int element : bins.results.keySet()) {
            double percent =  ((double)bins.results.get(element) / (double)this.numOfTosses);
            int starNum = (int) Math.floor((double) bins.results.get(element) / (this.numOfTosses / 100));
            str.append(String.format("%3d : %8d : %.2f  %s %s", element, bins.results.get(element), percent, stars(starNum), "\n" ));

        }
        return str.toString();
    }

    public String stars(int number) {
        String str = "";

        for(int i =0; i < number; i++) {
            str+= "*";
        }
        return str;
    }

}
